Apple Store App Search
Apple Store App Search is used to fetch App Store app search results by keyword.
- Search App Store apps by keyword
- Support region-based requests
- Return app name, description, icon, and detail page URL
- Accept multiple keywords in one request
Use XCrawl to Fetch Apple Store App Search Results
Usage
curl -s -X POST 'https://run.xcrawl.com/v1/data' \
-H 'Authorization: Bearer $XCRAWL_API_KEY'\
-H 'Content-Type: application/json' \
-d '{
"engine": "apple_store_search",
"location": "US",
"keyword_list": ["coffee"]
}'Request parameter notes:
enginemust beapple_store_searchlocationspecifies the target regionkeyword_listaccepts one or more search keywords
Response Example
{
"result": [
{
"app_desc": "TikTok is THE destination for mobile videos...",
"app_detail_url": "https://apps.apple.com/us/app/tiktok-videos-shop-live/id835599320",
"app_icon": "https://is1-ssl.mzstatic.com/image/thumb/Purple221/...",
"app_name": "TikTok - Videos, Shop & LIVE"
}
]
}Parameters
Required Parameters
| Parameter | Type | Description |
|---|---|---|
location | string | Specifies the target region. |
keyword_list | array | Accepts one or more search keywords. |
Parameter Notes
locationdefaults toUSlocationsupports multiple region values such asUS,HK,CA,GB, andJPkeyword_listdefaults to an empty array and should contain app search keywords
Response Fields
| Field | Type | Description |
|---|---|---|
app_icon | string | App icon URL. |
app_name | string | App name. |
app_desc | string | App description. |
app_detail_url | string | App detail page URL. |
